## copyq 9.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)
project(copyq)

if (APPLE)
    set(COPYQ_EXECUTABLE_NAME "CopyQ")
else()
    set(COPYQ_EXECUTABLE_NAME copyq)
endif()

# C++17
set(CMAKE_CXX_STANDARD 17)

if(CMAKE_BUILD_TYPE MATCHES Debug)
    set(COPYQ_DEBUG ON)
    add_definitions( -DCOPYQ_DEBUG  )
endif()

OPTION(PEDANTIC "Enable all compiler warnings" OFF)

# Options (cmake -LH)
OPTION(WITH_TESTS "Run test cases from command line" ${COPYQ_DEBUG})
OPTION(WITH_PLUGINS "Compile plugins" ON)

add_definitions( -DQT_USE_STRINGBUILDER  )

# Unix-specific options
if (UNIX AND NOT APPLE)
    include(GNUInstallDirs)
    set(DATA_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}" CACHE PATH "Install path for data")
    set(PLUGIN_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/${CMAKE_SHARED_MODULE_PREFIX}/copyq/plugins" CACHE PATH "Install path for plugins")
    set(ICON_INSTALL_PREFIX "${DATA_INSTALL_PREFIX}/icons/hicolor/scalable/apps" CACHE PATH "Install path for icons")
    set(ICON_INSTALL_PREFIX_TEMPLATE "${DATA_INSTALL_PREFIX}/icons/hicolor/%SIZE%/apps" CACHE PATH "Install path for icons (%SIZE% is icon size)")
    set(THEME_INSTALL_PREFIX "${DATA_INSTALL_PREFIX}/copyq/themes" CACHE PATH "Install path for themes")
    set(DESKTOP_INSTALL_PREFIX "${DATA_INSTALL_PREFIX}/applications" CACHE PATH "Install path for desktop file")
    set(APPDATA_INSTALL_PREFIX "${DATA_INSTALL_PREFIX}/metainfo" CACHE PATH "Install path for AppData file")
    set(MANPAGE_INSTALL_PREFIX "${CMAKE_INSTALL_MANDIR}/man1" CACHE PATH "Install path for manual pages")
    set(TRANSLATION_INSTALL_PREFIX "${DATA_INSTALL_PREFIX}/copyq/translations" CACHE PATH "Install path for translations")
    set(BASH_COMPLETION_INSTALL_PREFIX "${DATA_INSTALL_PREFIX}/bash-completion/completions/" CACHE PATH "Install path for bash completions")
    set(ICON_NAME "copyq" CACHE STRING "Name for icon files")
    set(COPYQ_AUTOSTART_COMMAND "" CACHE STRING "Autostart command")
    OPTION(COPYQ_AUTOSTART "Enable autostart option" ON)
endif()

set(CMAKE_AUTOMOC ON)

OPTION(WITH_QT6 "Enable Qt 6" OFF)
if (WITH_QT6)
    set(QT_DEFAULT_MAJOR_VERSION 6)
    find_package(Qt6Widgets 6.1.0 REQUIRED)
    set(copyq_qt Qt6)
    add_definitions( -DQT_DEPRECATED_WARNINGS_SINCE=0x051500 )
else()
    set(QT_DEFAULT_MAJOR_VERSION 5)
    find_package(Qt5Widgets 5.8.0 REQUIRED)
    set(copyq_qt Qt5)
    if (Qt5Widgets_VERSION VERSION_LESS 5.15.0)
        function(qt_wrap_ui outfiles)
            qt5_wrap_ui("${outfiles}" ${ARGN})
            set("${outfiles}" "${${outfiles}}" PARENT_SCOPE)
        endfunction()
        function(qt_add_resources outfiles)
            qt5_add_resources("${outfiles}" ${ARGN})
            set("${outfiles}" "${${outfiles}}" PARENT_SCOPE)
        endfunction()
        function(qt_add_translation _qm_files)
            qt5_add_translation("${_qm_files}" ${ARGN})
            set("${_qm_files}" "${${_qm_files}}" PARENT_SCOPE)
        endfunction()
    endif()
endif()

list(APPEND copyq_LIBRARIES ${copyq_qt}::Widgets)

set(copyq_APP_ID          com.github.hluk.copyq)
set(copyq_ICON_PREFIX     src/images/icon)
set(copyq_ICON_NORMAL     src/images/icon.svg)
set(copyq_ICON_MASK       src/images/icon_mask.svg)
set(copyq_DESKTOP         shared/${copyq_APP_ID}.desktop)
set(copyq_APPDATA         shared/${copyq_APP_ID}.appdata.xml)
set(copyq_BASH_COMPLETION shared/copyq-completion)
set(copyq_MANPAGE         debian/copyq.1)

# Be more strict while compiling debugging version
if(CMAKE_COMPILER_IS_GNUCXX OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-long-long")
    set(CMAKE_CXX_FLAGS_DEBUG
        "${CMAKE_CXX_FLAGS_DEBUG} -Wextra -Wall -pedantic -Wfloat-equal -Woverloaded-virtual -Wundef -Wno-inconsistent-missing-destructor-override")
endif()

if (PEDANTIC)
    if (CMAKE_COMPILER_IS_GNUCXX)
        list(APPEND copyq_pedantic_flags
            -Wextra -Wall
            -Wsuggest-override
            -Wlogical-op
            -Wnoexcept
            -Wstrict-null-sentinel
            -Wno-unknown-pragmas
            )
    else()
        list(APPEND copyq_pedantic_flags
            -Weverything
            -Winconsistent-missing-override
            -Wno-c++98-compat
            -Wno-c++98-compat-pedantic
            -Wno-disabled-macro-expansion
            -Wno-double-promotion
            -Wno-exit-time-destructors
            -Wno-extra-semi-stmt
            -Wno-inconsistent-missing-destructor-override
            -Wno-redundant-parens
            -Wno-shadow-field
            -Wno-shadow-field-in-constructor
            -Wno-shorten-64-to-32
            -Wno-sign-conversion
            -Wno-suggest-destructor-override
            -Wno-unknown-warning-option
            -Wno-used-but-marked-unused
            -Wno-weak-vtables
            -fcomment-block-commands=retval
            )
    endif()

    list(APPEND copyq_pedantic_flags
        -pedantic
        -Wcast-align
        -Wctor-dtor-privacy
        -Wdisabled-optimization
        -Wformat=2
        -Winit-self
        -Wmissing-declarations
        -Wmissing-include-dirs
        -Wold-style-cast
        -Woverloaded-virtual
        -Wredundant-decls
        -Wstrict-overflow=4
        -Wundef
        )

    list(APPEND copyq_pedantic_flags
        -Wno-padded
        -Wno-switch-enum
        )

    # Disable Q_OBJECT macro warnings.
    list(APPEND copyq_pedantic_flags
        -Wno-unused-member-function
        )
endif()

if(WITH_TESTS)
    message(STATUS "Building with tests.")

    add_definitions( -DHAS_TESTS )

    find_package(${copyq_qt}Test REQUIRED)
    list(APPEND copyq_LIBRARIES ${copyq_qt}::Test)
endif()

include(src/version.cmake)
message(STATUS "Building CopyQ version ${copyq_version}.")

if (UNIX AND NOT APPLE)
    install(FILES ${copyq_ICON_NORMAL}     DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}.svg)
    install(FILES ${copyq_ICON_MASK}       DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}_mask.svg)
    install(FILES ${copyq_APPDATA}         DESTINATION ${APPDATA_INSTALL_PREFIX})
    install(FILES ${copyq_MANPAGE}         DESTINATION ${MANPAGE_INSTALL_PREFIX})
    install(FILES ${copyq_BASH_COMPLETION} DESTINATION ${BASH_COMPLETION_INSTALL_PREFIX} RENAME copyq)

    configure_file(${copyq_DESKTOP}.in ${copyq_DESKTOP})
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${copyq_DESKTOP} DESTINATION ${DESKTOP_INSTALL_PREFIX})

    foreach (copyq_ICON_EXTENT 16 22 24 32 48 64 128)
        set(copyq_ICON_SIZE "${copyq_ICON_EXTENT}x${copyq_ICON_EXTENT}")
        string(REPLACE "%SIZE%" "${copyq_ICON_SIZE}" copyq_ICON_TARGET_PREFIX "${ICON_INSTALL_PREFIX_TEMPLATE}")
        foreach (copyq_ICON_TYPE "")
            install(FILES "${copyq_ICON_PREFIX}${copyq_ICON_TYPE}_${copyq_ICON_SIZE}.png" DESTINATION "${copyq_ICON_TARGET_PREFIX}" RENAME "${ICON_NAME}${copyq_ICON_TYPE}.png")
        endforeach()
    endforeach()

    set(copyq_THEME_INSTALL_PREFIX ${THEME_INSTALL_PREFIX})
    file(GLOB copyq_THEMES shared/themes/*.css shared/themes/*.ini)
    install(FILES ${copyq_THEMES} DESTINATION ${THEME_INSTALL_PREFIX})

    add_definitions( -DCOPYQ_ICON_PREFIX="${ICON_INSTALL_PREFIX}/${ICON_NAME}" )
    add_definitions( -DCOPYQ_THEME_PREFIX="${THEME_INSTALL_PREFIX}" )
    add_definitions( -DCOPYQ_PLUGIN_PREFIX="${PLUGIN_INSTALL_PREFIX}" )
    add_definitions( -DCOPYQ_DESKTOP_FILE="${DESKTOP_INSTALL_PREFIX}/${copyq_APP_ID}.desktop" )
    add_definitions( -DCOPYQ_TRANSLATION_PREFIX="${TRANSLATION_INSTALL_PREFIX}" )
    add_definitions( -DCOPYQ_BASH_COMPLETION_PREFIX="${BASH_COMPLETION_INSTALL_PREFIX}" )
    add_definitions( -DCOPYQ_ICON_NAME="${ICON_NAME}" )

    if (COPYQ_AUTOSTART)
        add_definitions( -DCOPYQ_AUTOSTART )
    endif()

    if (COPYQ_AUTOSTART_COMMAND)
        add_definitions( -DCOPYQ_AUTOSTART_COMMAND="${COPYQ_AUTOSTART_COMMAND}" )
    endif()
elseif (APPLE)
    set(copyq_themes_dest_dir "${COPYQ_EXECUTABLE_NAME}.app/Contents/Resources/themes")
    file(GLOB copyq_THEMES shared/themes/*.css shared/themes/*.ini)
    install(FILES ${copyq_THEMES} DESTINATION "${copyq_themes_dest_dir}" COMPONENT Runtime)
endif()

if (MSVC)
    include(InstallRequiredSystemLibraries)
endif()

add_definitions( -DQT_NO_CAST_TO_ASCII )

set_property(GLOBAL PROPERTY COPYQ_INSTALLED_PLUGINS)

if (WITH_PLUGINS)
    add_subdirectory(plugins)
endif()

add_subdirectory(src)

=== src/CMakeLists.txt ===
# Project files
file(GLOB copyq_SOURCES
    main.cpp
    app/*.cpp
    common/*.cpp
    gui/*.cpp
    gui/notification.h
    item/*.cpp
    scriptable/*.cpp
    scriptable/scriptableproxy.h
    )

file(GLOB copyq_FORMS
    ui/*.ui
    )

set(copyq_RESOURCES copyq.qrc)

# Qt include paths and definitions
include_directories(${CMAKE_CURRENT_BINARY_DIR} .)
include_directories(${${copyq_qt}Widgets_INCLUDES})
add_definitions(${${copyq_qt}Widgets_DEFINITIONS})

include(notifications.cmake)
include(platform/platform.cmake)

# Compile with tests?
if (WITH_TESTS)
    file(GLOB copyq_SOURCES ${copyq_SOURCES} tests/*.cpp)
endif()

set_source_files_properties(
    ${copyq_SOURCES} PROPERTIES
    COMPILE_OPTIONS "${copyq_pedantic_flags}")

# Qxt - global shortcuts
if (USE_QXT)
    set(copyq_SOURCES ${copyq_SOURCES}
        ../qxt/qxtglobalshortcut.cpp
        )
    add_definitions( -DQXT_STATIC )
    add_definitions( -DCOPYQ_GLOBAL_SHORTCUTS )
endif()

# translations
file(GLOB copyq_TRANSLATIONS ../translations/*.ts)

find_package(${copyq_qt}LinguistTools)
if (${copyq_qt}LinguistTools_FOUND)
    qt_add_translation(copyq_QM ${copyq_TRANSLATIONS})
endif()

qt_wrap_ui(copyq_FORMS_HEADERS ${copyq_FORMS})
qt_add_resources(copyq_RESOURCES_RCC ${copyq_RESOURCES})

set(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR})

# Generate version.h from current git commit if available.
set(copyq_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/common/version.cpp")
add_custom_target(
    generate_version_file
    ALL
    COMMAND ${CMAKE_COMMAND}
        -D INPUT_FILE=${CMAKE_CURRENT_SOURCE_DIR}/common/version.cpp.in
        -D OUTPUT_FILE=${copyq_VERSION_FILE}
        -P ${CMAKE_CURRENT_SOURCE_DIR}/version_file.cmake
    BYPRODUCTS ${copyq_VERSION_FILE}
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
)
set_source_files_properties(${copyq_VERSION_FILE} PROPERTIES GENERATED TRUE)
set_property(SOURCE ${copyq_VERSION_FILE} PROPERTY SKIP_AUTOMOC ON)

set(copyq_COMPILE
    ${copyq_COMPILE}
    ${copyq_SOURCES}
    ${copyq_FORMS_HEADERS}
    ${copyq_RESOURCES_RCC}
    ${copyq_QM}
    ${copyq_VERSION_FILE}
    )

if (NOT copyq_version)
    message(FATAL_ERROR "Application version is unset")
endif()

if (NOT APPLE)
    add_executable(${COPYQ_EXECUTABLE_NAME} ${copyq_COMPILE})
else()
    FIND_LIBRARY(CARBON_LIBRARY Carbon REQUIRED)
    FIND_LIBRARY(COCOA_LIBRARY Cocoa REQUIRED)
    MARK_AS_ADVANCED(CARBON_LIBRARY COCOA_LIBRARY)
    list(APPEND copyq_LIBRARIES "${CARBON_LIBRARY}" "${COCOA_LIBRARY}")

    set(COPYQ_VERSION_REGEX "^([0-9]+)\.([0-9]+)\.(.*)$")
    string(REGEX REPLACE "${COPYQ_VERSION_REGEX}"
        "\\1" CPACK_PACKAGE_VERSION_MAJOR
        "${copyq_version}"
        )
    string(REGEX REPLACE "${COPYQ_VERSION_REGEX}"
        "\\2" CPACK_PACKAGE_VERSION_MINOR
        "${copyq_version}"
        )
    string(REGEX REPLACE "${COPYQ_VERSION_REGEX}"
        "\\3" CPACK_PACKAGE_VERSION_PATCH
        "${copyq_version}"
        )

    set(MACOSX_BUNDLE_BUNDLE_NAME "${COPYQ_EXECUTABLE_NAME}")
    set(MACOSX_BUNDLE_GUI_IDENTIFIER "io.github.hluk.CopyQ")
    set(MACOSX_BUNDLE_INFO_STRING "Advanced clipboard manager with editing and scripting features")
    set(MACOSX_BUNDLE_ICON_FILE "icon.icns")
    set(MACOSX_BUNDLE_LONG_VERSION_STRING "${copyq_version}")
    set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
    set(MACOSX_BUNDLE_BUNDLE_VERSION "${copyq_version}")

    set_source_files_properties("${CMAKE_CURRENT_SOURCE_DIR}/images/icon.icns" PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
    set(copyq_COMPILE ${copyq_COMPILE} "${CMAKE_CURRENT_SOURCE_DIR}/images/icon.icns")

    add_executable(${COPYQ_EXECUTABLE_NAME} MACOSX_BUNDLE ${copyq_COMPILE})
endif()

target_sources(${COPYQ_EXECUTABLE_NAME} PRIVATE ${copyq_SOURCES})
add_dependencies(${COPYQ_EXECUTABLE_NAME} generate_version_file)

# Qt modules
list(APPEND copyq_qt_modules Network Svg Xml Qml)
foreach (copyq_qt_module ${copyq_qt_modules})
    find_package(${copyq_qt}${copyq_qt_module} REQUIRED)
    list(APPEND copyq_LIBRARIES ${copyq_qt}::${copyq_qt_module})
endforeach()

# macros definitions for preprocessor and moc
set_target_properties(${COPYQ_EXECUTABLE_NAME} PROPERTIES COMPILE_DEFINITIONS "${copyq_DEFINITIONS}")

# link
set_target_properties(${COPYQ_EXECUTABLE_NAME} PROPERTIES LINK_FLAGS "${copyq_LINK_FLAGS}")
target_link_libraries(${COPYQ_EXECUTABLE_NAME} ${copyq_LIBRARIES})

# install
if (WIN32)
    install(TARGETS ${COPYQ_EXECUTABLE_NAME}
        RUNTIME DESTINATION . COMPONENT Runtime
        LIBRARY DESTINATION . COMPONENT Runtime
        )
else()
    install(TARGETS ${COPYQ_EXECUTABLE_NAME}
        BUNDLE DESTINATION . COMPONENT Runtime
        RUNTIME DESTINATION bin COMPONENT Runtime
        )
endif()

if (NOT APPLE)
    if (TRANSLATION_INSTALL_PREFIX)
        install(FILES ${copyq_QM} DESTINATION "${TRANSLATION_INSTALL_PREFIX}")
    endif()
else()
    set_source_files_properties(${copyq_QM} PROPERTIES MACOSX_PACKAGE_LOCATION "Resources/translations")

    set_target_properties(${COPYQ_EXECUTABLE_NAME} PROPERTIES MACOSX_BUNDLE TRUE)
    set_target_properties(${COPYQ_EXECUTABLE_NAME} PROPERTIES MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/../shared/Info.plist")

    set(BUNDLE "\${CMAKE_INSTALL_PREFIX}/${COPYQ_EXECUTABLE_NAME}.app")

    # https://doc.qt.io/qt-6/qt-deploy-runtime-dependencies.html
    # Generate a deployment script to be executed at install time
    qt_generate_deploy_script(
        TARGET ${COPYQ_EXECUTABLE_NAME}
        OUTPUT_SCRIPT deploy_script
        CONTENT "
qt_deploy_runtime_dependencies(
    EXECUTABLE \"${BUNDLE}\"
    GENERATE_QT_CONF
    VERBOSE
)")
    install(SCRIPT ${deploy_script})

    set(CPACK_GENERATOR "DragNDrop")
    include(CPack)
endif()

=== debian/changelog ===
copyq (9.1.0-2build4) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:06:05 -0500

copyq (9.1.0-2build3) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 04 Feb 2025 14:09:31 -0600

copyq (9.1.0-2build2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 04 Dec 2024 18:57:21 -0600

copyq (9.1.0-2build1) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 04 Dec 2024 18:57:21 -0600

copyq (9.1.0-2) unstable; urgency=medium

  * d/rules: 
    - override {configure,install}-indep targets
    - Remove QT_SELECT
    - Build against Qt6
    - Remove --with sphinxdoc required only for arch-indep builds
    - override dh_auto_configure for -arch builds only
  * d/control:
    - Replace all Qt5 deps with Qt6 equivalent
    - add dh-sequence-sphinxdoc to B-D Indep

 -- Mohammed Bilal <rmb@debian.org>  Mon, 21 Oct 2024 05:52:56 +0000

copyq (9.1.0-1) unstable; urgency=medium

  * New Maintainer (Closes: #1065740).
  * New upstream version 9.1.0
  * d/changelog:
    - remove trailing whitespaces (lintian fix).
  * d/control:
    - Add myself as maintainer
    - Bump Standards-Version to 4.7.0 (no changes needed)
  * d/copyright:
    - update years
    - Update listing for debian/*
  * d/rules
    - Use a single dh command with overrides
    - Build with -DCMAKE_BUILD_TYPE=Release
  * Add source/binary lintian overrides for known false positives.

 -- Mohammed Bilal <rmb@debian.org>  Sun, 20 Oct 2024 16:09:49 +0000

=== debian/control ===
Source: copyq
Section: utils
Priority: optional
Maintainer: Mohammed Bilal <rmb@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 extra-cmake-modules,
Build-Depends-Arch:
 libkf6notifications-dev,
 libkf6statusnotifieritem-dev,
 libwayland-dev,
 libxfixes-dev,
 libxtst-dev,
 qt6-base-private-dev,
 qt6-declarative-dev,
 qt6-svg-dev,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 qt6-wayland,
 qt6-wayland-dev,
 qt6-wayland-dev-tools,
Build-Depends-Indep:
 dh-sequence-sphinxdoc,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3:any,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://hluk.github.io/CopyQ/
Vcs-Browser: https://salsa.debian.org/debian/copyq
Vcs-Git: https://salsa.debian.org/debian/copyq.git

Package: copyq
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 copyq-plugins (= ${binary:Version}),
 libqt5svg5,
Suggests:
 copyq-doc,
Description: Advanced clipboard manager with editing and scripting features
 CopyQ monitors system clipboard and saves its content in customized tabs.
 Saved clipboard can be later copied and pasted directly into any application.
 .
 Items can be:
  * edited with internal editor or with preferred text editor,
  * moved to other tabs,
  * drag'n'dropped to applications,
  * marked with tag or a note,
  * passed to or changed by custom commands,
  * or simply removed.
 .
 Features:
  * Support for Linux, Windows and OS X 10.9+
  * Store text, HTML, images or any other custom formats
  * Quickly browse and filter items in clipboard history
  * Sort, create, edit, remove, copy/paste, drag'n'drop items in tabs
  * Add notes or tags to items
  * System-wide shortcuts with customizable commands
  * Paste items with shortcut or from tray or main window
  * Fully customizable appearance
  * Advanced command-line interface and scripting
  * Ignore clipboard copied from some windows or containing some text
  * Support for simple Vim-like editor and shortcuts
  * Many more features

Package: copyq-doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Section: doc
Multi-Arch: foreign
Description: Documentation and examples for CopyQ - HTML format
 CopyQ monitors system clipboard and saves its content in customized tabs.
 Saved clipboard can be later copied and pasted directly into any application.
 .
 This contains the documentation in HTML format.

Package: copyq-plugins
Architecture: any
Depends:
 copyq (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Plugins for CopyQ
 CopyQ monitors system clipboard and saves its content in customized tabs.
 Saved clipboard can be later copied and pasted directly into any application.
 .
 This package contains plugins that add various item types support and features
 to CopyQ, including:
  * Text with Highlighting
  * Images
  * Web Pages
  * Various Data
  * Notes
  * Encryption
  * FakeVim Editor
  * Synchronize Items to Disk
  * Item Tags
  * Pinned Items

## copyq 10.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -141,11 +141,6 @@
         -Wno-padded
         -Wno-switch-enum
         )
-
-    # Disable Q_OBJECT macro warnings.
-    list(APPEND copyq_pedantic_flags
-        -Wno-unused-member-function
-        )
 endif()
 
 if(WITH_TESTS)

=== plugins/CMakeLists.txt ===
macro (copyq_add_plugin copyq_pkg)
    file(GLOB copyq_plugin_SOURCES
        ${copyq_plugin_${copyq_pkg}_SOURCES}
        ${copyq_plugin_${copyq_pkg}_external_SOURCES}
        *.cpp
        ../../src/item/itemwidget.cpp
        )
    file(GLOB copyq_plugin_FORMS
        ${copyq_plugin_${copyq_pkg}_FORMS}
        *.ui
        )

    set_source_files_properties(
        ${copyq_plugin_${copyq_pkg}_SOURCES} PROPERTIES
        COMPILE_OPTIONS "${copyq_pedantic_flags}")

    if (WITH_TESTS)
        file(GLOB copyq_plugin_SOURCES ${copyq_plugin_SOURCES} tests/*.cpp)
    endif (WITH_TESTS)

    include_directories(${CMAKE_CURRENT_BINARY_DIR} ../../src)

    include_directories(${${copyq_qt}Widgets_INCLUDES})
    add_definitions(${${copyq_qt}Widgets_DEFINITIONS})
    qt_wrap_ui(copyq_plugin_FORMS_HEADERS ${copyq_plugin_FORMS})
    qt_add_resources(copyq_plugin_RCC ${copyq_plugin_${copyq_pkg}_RESOURCES})

    add_library(${copyq_pkg} MODULE
        ${copyq_plugin_SOURCES}
        ${copyq_plugin_FORMS_HEADERS}
        ${copyq_plugin_RCC}
        )

    set_target_properties(${copyq_pkg} PROPERTIES
        COMPILE_DEFINITIONS "${copyq_plugin_${copyq_pkg}_DEFINITIONS}")

    target_link_libraries(${copyq_pkg} ${copyq_LIBRARIES} ${copyq_plugin_${copyq_pkg}_LIBRARIES})

    if (UNIX AND NOT APPLE)
        install(TARGETS ${copyq_pkg} DESTINATION ${PLUGIN_INSTALL_PREFIX})
    elseif (APPLE)
        set(copyq_plugins_dest_dir "${COPYQ_EXECUTABLE_NAME}.app/Contents/PlugIns/copyq")
        install(TARGETS ${copyq_pkg} DESTINATION "${copyq_plugins_dest_dir}" COMPONENT Runtime)
        get_property(_copyq_installed_plugins GLOBAL PROPERTY COPYQ_INSTALLED_PLUGINS)
        # We need this list to perform fixups during the creation of an application bundle (in src)
        list(APPEND _copyq_installed_plugins
            "\$ENV{DESTDIR}\${CMAKE_INSTALL_PREFIX}/${copyq_plugins_dest_dir}/${CMAKE_SHARED_MODULE_PREFIX}${copyq_pkg}${CMAKE_SHARED_MODULE_SUFFIX}"
        )
        set_property(GLOBAL PROPERTY COPYQ_INSTALLED_PLUGINS "${_copyq_installed_plugins}")
    endif()
endmacro()

set(LIBRARY_OUTPUT_PATH ${PROJECT_BINARY_DIR}/plugins)

add_subdirectory("itemencrypted")
add_subdirectory("itemfakevim")
add_subdirectory("itemimage")
add_subdirectory("itemnotes")
add_subdirectory("itempinned")
add_subdirectory("itemtags")
add_subdirectory("itemtext")
add_subdirectory("itemsync")

=== plugins/itemencrypted/CMakeLists.txt ===
set(copyq_plugin_itemencrypted_SOURCES
    ../../src/common/command.cpp
    ../../src/common/config.cpp
    ../../src/common/log.cpp
    ../../src/common/mimetypes.cpp
    ../../src/common/shortcuts.cpp
    ../../src/common/textdata.cpp
    ../../src/gui/iconfont.cpp
    ../../src/gui/iconwidget.cpp
    ../../src/gui/screen.cpp
    ../../src/item/serialize.cpp
    )

copyq_add_plugin(itemencrypted)

=== plugins/itemsync/CMakeLists.txt ===
set(copyq_plugin_itemsync_SOURCES
    ../../src/item/itemwidgetwrapper.cpp
    ../../src/common/config.cpp
    ../../src/common/log.cpp
    ../../src/common/mimetypes.cpp
    ../../src/gui/iconfont.cpp
    ../../src/gui/iconselectbutton.cpp
    ../../src/gui/iconselectdialog.cpp
    ../../src/gui/iconwidget.cpp
    ../../src/gui/screen.cpp
    ../../src/item/serialize.cpp
    )

copyq_add_plugin(itemsync)

=== plugins/itemtext/CMakeLists.txt ===
set(copyq_plugin_itemtext_SOURCES
    ../../src/common/mimetypes.cpp
    ../../src/common/sanitize_text_document.cpp
    ../../src/common/textdata.cpp
    )

copyq_add_plugin(itemtext)

=== debian/changelog ===
copyq (10.0.0-1ubuntu1) questing; urgency=medium

  * d/patches: Add upstream_fix-build-with-Qt-6.9.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Sep 2025 19:06:14 +0100

copyq (10.0.0-1) unstable; urgency=medium

  * New upstream version 10.0.0
  * d/ctrl : Bump SV to 4.7.2 (no changes)

 -- Mohammed Bilal <rmb@debian.org>  Fri, 04 Apr 2025 08:47:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: copyq
 Section: utils
 Priority: optional
-Maintainer: Mohammed Bilal <rmb@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mohammed Bilal <rmb@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
@@ -26,7 +27,7 @@
  python3-sphinx-rtd-theme,
  python3:any,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://hluk.github.io/CopyQ/
 Vcs-Browser: https://salsa.debian.org/debian/copyq
 Vcs-Git: https://salsa.debian.org/debian/copyq.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND =


%:
	dh $@

override_dh_auto_configure-indep:
	#pass

override_dh_auto_configure-arch:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=Release \
		-DWITH_QT6=ON

override_dh_auto_clean-indep:
	dh_auto_clean
	rm -rf _build/

override_dh_auto_build-indep:
	python3 -m sphinx docs _build/html

override_dh_auto_install-indep:
	#pass

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGES.md

## copyq 11.0.0

=== debian/changelog ===
copyq (11.0.0-0.1~mx25+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 30 Aug 2025 11:23:12 -0700

copyq (9.1.0-2~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to Qt 5 builds.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 30 Oct 2024 17:42:10 -0700

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 override_dh_auto_configure-arch:
 	dh_auto_configure -- \
 		-DCMAKE_BUILD_TYPE=Release \
-		-DWITH_QT6=ON
+		-DWITH_QT6=OFF
 
 override_dh_auto_clean-indep:
 	dh_auto_clean
@@ -36,3 +36,8 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k CHANGES.md
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym

## copyq 12.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -43,7 +43,7 @@
 
 set(CMAKE_AUTOMOC ON)
 
-OPTION(WITH_QT6 "Enable Qt 6" OFF)
+OPTION(WITH_QT6 "Enable Qt 6" ON)
 if (WITH_QT6)
     set(QT_DEFAULT_MAJOR_VERSION 6)
     find_package(Qt6Widgets 6.1.0 REQUIRED)
@@ -51,22 +51,8 @@
     add_definitions( -DQT_DEPRECATED_WARNINGS_SINCE=0x051500 )
 else()
     set(QT_DEFAULT_MAJOR_VERSION 5)
-    find_package(Qt5Widgets 5.8.0 REQUIRED)
+    find_package(Qt5Widgets 5.15.0 REQUIRED)
     set(copyq_qt Qt5)
-    if (Qt5Widgets_VERSION VERSION_LESS 5.15.0)
-        function(qt_wrap_ui outfiles)
-            qt5_wrap_ui("${outfiles}" ${ARGN})
-            set("${outfiles}" "${${outfiles}}" PARENT_SCOPE)
-        endfunction()
-        function(qt_add_resources outfiles)
-            qt5_add_resources("${outfiles}" ${ARGN})
-            set("${outfiles}" "${${outfiles}}" PARENT_SCOPE)
-        endfunction()
-        function(qt_add_translation _qm_files)
-            qt5_add_translation("${_qm_files}" ${ARGN})
-            set("${_qm_files}" "${${_qm_files}}" PARENT_SCOPE)
-        endfunction()
-    endif()
 endif()
 
 list(APPEND copyq_LIBRARIES ${copyq_qt}::Widgets)
@@ -95,7 +81,6 @@
             -Wlogical-op
             -Wnoexcept
             -Wstrict-null-sentinel
-            -Wno-unknown-pragmas
             )
     else()
         list(APPEND copyq_pedantic_flags
@@ -117,6 +102,7 @@
             -Wno-unknown-warning-option
             -Wno-used-but-marked-unused
             -Wno-weak-vtables
+            -Wno-switch-default
             -fcomment-block-commands=retval
             )
     endif()

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = CopyQ
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== plugins/itemencrypted/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,6 @@
 set(copyq_plugin_itemencrypted_SOURCES
     ../../src/common/command.cpp
     ../../src/common/config.cpp
-    ../../src/common/log.cpp
     ../../src/common/mimetypes.cpp
     ../../src/common/shortcuts.cpp
     ../../src/common/textdata.cpp
@@ -12,4 +11,3 @@
     )
 
 copyq_add_plugin(itemencrypted)
-

=== plugins/itemimage/CMakeLists.txt ===
set(copyq_plugin_itemimage_SOURCES
    ../../src/common/action.cpp
    ../../src/common/mimetypes.cpp
    ../../src/common/temporaryfile.cpp
    ../../src/item/itemeditor.cpp
    ../../src/item/serialize.cpp
    )

copyq_add_plugin(itemimage)

=== plugins/itemnotes/CMakeLists.txt ===
set(copyq_plugin_itemnotes_SOURCES
    ../../src/item/itemwidgetwrapper.cpp
    ../../src/gui/iconfont.cpp
    ../../src/gui/iconwidget.cpp
    ../../src/common/mimetypes.cpp
    ../../src/common/textdata.cpp
    )

copyq_add_plugin(itemnotes)

=== plugins/itemtags/CMakeLists.txt ===
set(copyq_plugin_itemtags_SOURCES
    ../../src/item/itemwidgetwrapper.cpp
    ../../src/item/itemsaverwrapper.cpp
    ../../src/common/command.cpp
    ../../src/common/config.cpp
    ../../src/common/mimetypes.cpp
    ../../src/common/textdata.cpp
    ../../src/gui/iconselectbutton.cpp
    ../../src/gui/iconselectdialog.cpp
    ../../src/gui/iconwidget.cpp
    ../../src/gui/iconfont.cpp
    ../../src/gui/screen.cpp
    )

copyq_add_plugin(itemtags)

=== plugins/itemtext/CMakeLists.txt ===
set(copyq_plugin_itemtext_SOURCES
    ../../src/common/mimetypes.cpp
    ../../src/common/textdata.cpp
    )

copyq_add_plugin(itemtext)

=== src/platform/x11/systemclipboard/CMakeLists.txt ===
include_directories(SYSTEM ${${copyq_qt}Gui_PRIVATE_INCLUDE_DIRS}) # for native interface to get wl_seat
find_package(Wayland 1.15 COMPONENTS Client)
find_package(${copyq_qt} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS WaylandClient)

set(systemclipboard_SRCS
    waylandclipboard.cpp
)

if(WITH_QT6)
    add_library(systemclipboard STATIC ${systemclipboard_SRCS})
    qt_generate_wayland_protocol_client_sources(systemclipboard
        FILES
            "${CMAKE_CURRENT_SOURCE_DIR}/wlr-data-control-unstable-v1.xml"
            "${CMAKE_CURRENT_SOURCE_DIR}/keyboard-shortcuts-inhibit-unstable-v1.xml"
            "${Wayland_DATADIR}/wayland.xml"
    )
else()
    find_package(QtWaylandScanner REQUIRED)
    ecm_add_qtwayland_client_protocol(systemclipboard_SRCS
        PROTOCOL wlr-data-control-unstable-v1.xml
        BASENAME wlr-data-control-unstable-v1
    )
    ecm_add_qtwayland_client_protocol(systemclipboard_SRCS
        PROTOCOL keyboard-shortcuts-inhibit-unstable-v1.xml
        BASENAME keyboard-shortcuts-inhibit-unstable-v1
    )
    ecm_add_qtwayland_client_protocol(systemclipboard_SRCS
        PROTOCOL "${Wayland_DATADIR}/wayland.xml"
        BASENAME wayland
    )
    add_library(systemclipboard STATIC ${systemclipboard_SRCS})
endif()

target_link_libraries(systemclipboard
                      ${copyq_qt}::Gui
                      ${copyq_qt}::WaylandClient
                      Wayland::Client
)

=== debian/changelog ===
copyq (12.0.1-1) stable; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Thu, 02 Oct 2025 00:07:32 +0000

copyq (12.0.1) stable; urgency=medium

  * v12.0.1

 -- Lukas Holecek <hluk@email.cz>  Tue, 30 Sep 2025 12:25:47 +0000

copyq (12.0.0) stable; urgency=medium

  * v12.0.0

 -- Lukas Holecek <hluk@email.cz>  Mon, 29 Sep 2025 08:32:33 +0000

copyq (11.0.0) stable; urgency=medium

  * v11.0.0

 -- Lukas Holecek <hluk@email.cz>  Fri, 22 Aug 2025 07:57:05 +0000

copyq (10.0.0) stable; urgency=medium

  * v10.0.0

 -- Lukas Holecek <hluk@email.cz>  Fri, 04 Apr 2025 05:47:41 +0000

copyq (9.1.0) stable; urgency=medium

  * v9.1.0

 -- Lukas Holecek <hluk@email.cz>  Sun, 20 Oct 2024 05:35:08 +0000

copyq (9.0.0) stable; urgency=medium

  * v9.0.0

 -- Lukas Holecek <hluk@email.cz>  Sat, 22 Jun 2024 07:58:49 +0000

copyq (8.0.0) stable; urgency=medium

  * v8.0.0

 -- Lukas Holecek <hluk@email.cz>  Thu, 14 Mar 2024 10:37:45 +0000

copyq (7.1.0) stable; urgency=medium

  * v7.1.0

 -- Lukas Holecek <hluk@email.cz>  Sun, 03 Sep 2023 07:54:29 +0000

copyq (7.0.0) stable; urgency=medium

  * v7.0.0

 -- Lukas Holecek <hluk@email.cz>  Sun, 02 Apr 2023 07:14:49 +0000

copyq (6.4.0) stable; urgency=medium

  * v6.4.0

 -- Lukas Holecek <hluk@email.cz>  Thu, 19 Jan 2023 09:22:52 +0000

copyq (6.3.2) stable; urgency=medium

  * v6.3.2

 -- Lukas Holecek <hluk@email.cz>  Mon, 26 Sep 2022 14:47:42 +0000

copyq (6.3.1) stable; urgency=medium

  * v6.3.1

 -- Lukas Holecek <hluk@email.cz>  Sun, 25 Sep 2022 05:58:51 +0000

copyq (6.3.0) stable; urgency=medium

  * v6.3.0

 -- Lukas Holecek <hluk@email.cz>  Sun, 18 Sep 2022 07:50:14 +0000

copyq (6.2.0) stable; urgency=medium

  * v6.2.0

 -- Lukas Holecek <hluk@email.cz>  Wed, 06 Jul 2022 08:04:42 +0000

copyq (6.1.0) stable; urgency=medium

  * v6.1.0

 -- Lukas Holecek <hluk@email.cz>  Sat, 05 Mar 2022 10:36:33 +0000

copyq (6.0.1) stable; urgency=medium

  * v6.0.1

 -- Lukas Holecek <hluk@email.cz>  Sun, 02 Jan 2022 09:43:55 +0000

copyq (6.0.0) stable; urgency=medium

  * v6.0.0

 -- Lukas Holecek <hluk@email.cz>  Sat, 01 Jan 2022 15:01:30 +0000

copyq (5.0.0) stable; urgency=medium

  * v5.0.0

 -- Lukas Holecek <hluk@email.cz>  Thu, 30 Sep 2021 10:41:14 +0000

copyq (4.1.0) stable; urgency=medium

  * v4.1.0

 -- Lukas Holecek <hluk@email.cz>  Fri, 23 Apr 2021 13:33:30 +0000

copyq (4.0.0) stable; urgency=medium

  * v4.0.0

 -- Lukas Holecek <hluk@email.cz>  Sun, 11 Apr 2021 14:19:54 +0000

copyq (3.13.0) stable; urgency=medium

  * v3.13.0

 -- Lukas Holecek <hluk@email.cz>  Fri, 16 Oct 2020 13:21:52 +0000

copyq (3.12.0) stable; urgency=medium

  * v3.12.0

 -- Lukas Holecek <hluk@email.cz>  Sun, 12 Jul 2020 09:21:18 +0000

copyq (3.11.1) stable; urgency=medium

  * v3.11.1

 -- Lukas Holecek <hluk@email.cz>  Fri, 08 May 2020 08:12:18 +0000

copyq (3.11.0) stable; urgency=medium

  * v3.11.0

 -- Lukas Holecek <hluk@email.cz>  Fri, 01 May 2020 06:24:59 +0000

copyq (3.10.0) stable; urgency=medium                                                                              
                                                                                                                      
  * v3.10.0
                                                                                                                      
 -- Lukas Holecek <hluk@email.cz>  Sun, 02 Feb 2020 12:59:11 +0000

copyq (3.9.3) stable; urgency=medium
                           
  * v3.9.3
               
 -- Lukas Holecek <hluk@email.cz>  Sat, 16 Nov 2019 08:41:20 +0000

copyq (3.9.2) stable; urgency=medium         
                                                 
  * v3.9.2
                                
 -- Lukas Holecek <hluk@email.cz>  Sun, 25 Aug 2019 08:14:00 +0000

copyq (3.9.1) stable; urgency=medium         
                                                 
  * v3.9.1
                                
 -- Lukas Holecek <hluk@email.cz>  Sun, 18 Aug 2019 09:13:44 +0000

copyq (3.9.0) stable; urgency=medium         
                                                 
  * v3.9.0
                                
 -- Lukas Holecek <hluk@email.cz>  Thu, 27 Jun 2019 08:41:16 +0000

copyq (3.8.0) stable; urgency=medium

  * v3.8.0

 -- Lukas Holecek <hluk@email.cz>  Wed, 10 Apr 2019 15:49:00 +0000

copyq (3.7.3) stable; urgency=medium

  * v3.7.3

 -- Lukas Holecek <hluk@email.cz>  Sat, 02 Feb 2019 12:44:34 +0000

copyq (3.7.2) stable; urgency=medium

  * v3.7.2

 -- Lukas Holecek <hluk@email.cz>  Mon, 31 Dec 2018 13:55:20 +0000

copyq (3.7.1) stable; urgency=medium

  * v3.7.1

 -- Lukas Holecek <hluk@email.cz>  Sun, 18 Nov 2018 07:19:28 +0000

copyq (3.7.0) stable; urgency=medium

  * v3.7.0

 -- Lukas Holecek <hluk@email.cz>  Sun, 04 Nov 2018 09:02:03 +0000

copyq (3.6.1) stable; urgency=medium

  * v3.6.1

 -- Lukas Holecek <hluk@email.cz>  Tue, 25 Sep 2018 18:34:43 +0000

copyq (3.6.0) stable; urgency=medium

  * v3.6.0

 -- Lukas Holecek <hluk@email.cz>  Sun, 23 Sep 2018 09:44:15 +0000

copyq (3.5.0) stable; urgency=medium

  * v3.5.0

 -- Lukas Holecek <hluk@email.cz>  Sun, 17 Jun 2018 09:58:21 +0000

copyq (3.4.0) stable; urgency=medium

  * v3.4.0

 -- Lukas Holecek <hluk@email.cz>  Sun, 29 Apr 2018 13:00:00 +0000

copyq (3.3.1) xenial; urgency=medium

  * v3.3.1

 -- Lukas Holecek <hluk@email.cz>  Fri, 06 Apr 2018 12:43:35 +0000

copyq (3.3.0) stable; urgency=medium

  * v3.3.0

 -- Lukas Holecek <hluk@email.cz>  Sat, 17 Mar 2018 20:09:00 +0000

copyq (3.2.0) stable; urgency=medium

  * v3.2.0

 -- Lukas Holecek <hluk@email.cz>  Sun, 18 Feb 2018 06:43:09 +0000

copyq (3.1.2) stable; urgency=medium

  * v3.1.2

 -- Lukas Holecek <hluk@email.cz>  Sat, 21 Oct 2017 09:25:00 +0200

copyq (3.1.1) stable; urgency=medium

  * v3.1.1

 -- Lukas Holecek <hluk@email.cz>  Thu, 28 Sep 2017 19:15:00 +0200

copyq (3.1.0) stable; urgency=medium

  * v3.1.0

 -- Lukas Holecek <hluk@email.cz>  Thu, 28 Sep 2017 09:34:00 +0200



=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: copyq
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mohammed Bilal <rmb@debian.org>
+Maintainer: Mohammed Bilal <rmb@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),

=== debian/watch ===
Version: 5

Template: Github
Owner: hluk
Project: CopyQ

## copyq 13.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.13)
+cmake_minimum_required(VERSION 3.16)
 project(copyq)
 
 if (APPLE)

=== plugins/itempinned/CMakeLists.txt ===
set(copyq_plugin_itempinned_SOURCES
    ../../src/item/itemwidgetwrapper.cpp
    ../../src/item/itemsaverwrapper.cpp
    ../../src/common/command.cpp
    ../../src/common/display.cpp
    ../../src/gui/screen.cpp
    )

copyq_add_plugin(itempinned)

=== plugins/itemsync/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,6 @@
 set(copyq_plugin_itemsync_SOURCES
     ../../src/item/itemwidgetwrapper.cpp
     ../../src/common/config.cpp
-    ../../src/common/log.cpp
     ../../src/common/mimetypes.cpp
     ../../src/gui/iconfont.cpp
     ../../src/gui/iconselectbutton.cpp
@@ -12,4 +11,3 @@
     )
 
 copyq_add_plugin(itemsync)
-

=== src/platform/x11/systemclipboard/CMakeLists.txt ===
--- 
+++ 
@@ -36,3 +36,7 @@
                       ${copyq_qt}::WaylandClient
                       Wayland::Client
 )
+if (TARGET ${copyq_qt}::GuiPrivate)
+    # for native interface to get wl_seat
+    target_link_libraries(systemclipboard ${copyq_qt}::GuiPrivate)
+endif()

=== debian/changelog ===
copyq (13.0.0-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Correct dependency to the Qt 6 svg library, libqt6svg6.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 10 Nov 2025 18:09:35 -0800

copyq (13.0.0-1) unstable; urgency=medium

  * New upstream version 13.0.0
  * d/control: remove 'Rules-Require-Root: no'
  * d/control: Add libkf6guiaddons-dev to B-D-A

 -- Mohammed Bilal <rmb@debian.org>  Mon, 10 Nov 2025 16:17:53 +0000

copyq (12.0.1-1) unstable; urgency=medium

  * New upstream version 12.0.1

 -- Mohammed Bilal <rmb@debian.org>  Mon, 13 Oct 2025 15:14:58 +0000

copyq (11.0.0-1) unstable; urgency=medium

  * New upstream version 11.0.0
  * d/watch: switch to version 5

 -- Mohammed Bilal <rmb@debian.org>  Fri, 12 Sep 2025 14:53:33 +0000

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,27 @@
 Source: copyq
 Section: utils
 Priority: optional
-Maintainer: Mohammed Bilal <rmb@debian.org>
-Build-Depends:
- cmake,
- debhelper-compat (= 13),
- extra-cmake-modules,
-Build-Depends-Arch:
- libkf6notifications-dev,
- libkf6statusnotifieritem-dev,
- libwayland-dev,
- libxfixes-dev,
- libxtst-dev,
- qt6-base-private-dev,
- qt6-declarative-dev,
- qt6-svg-dev,
- qt6-tools-dev,
- qt6-tools-dev-tools,
- qt6-wayland,
- qt6-wayland-dev,
- qt6-wayland-dev-tools,
-Build-Depends-Indep:
- dh-sequence-sphinxdoc,
- python3-sphinx,
- python3-sphinx-rtd-theme,
- python3:any,
-Rules-Requires-Root: no
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Mohammed Bilal <rmb@debian.org>
+Build-Depends: debhelper-compat (= 13), cmake, extra-cmake-modules
+Build-Depends-Arch: libkf6guiaddons-dev,
+                    libkf6notifications-dev,
+                    libkf6statusnotifieritem-dev,
+                    libwayland-dev,
+                    libxfixes-dev,
+                    libxtst-dev,
+                    qt6-base-private-dev,
+                    qt6-declarative-dev,
+                    qt6-svg-dev,
+                    qt6-tools-dev,
+                    qt6-tools-dev-tools,
+                    qt6-wayland,
+                    qt6-wayland-dev,
+                    qt6-wayland-dev-tools
+Build-Depends-Indep: dh-sequence-sphinxdoc,
+                     python3-sphinx,
+                     python3-sphinx-rtd-theme,
+                     python3:any
 Standards-Version: 4.7.2
 Homepage: https://hluk.github.io/CopyQ/
 Vcs-Browser: https://salsa.debian.org/debian/copyq
@@ -33,14 +29,9 @@
 
 Package: copyq
 Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
-Recommends:
- copyq-plugins (= ${binary:Version}),
- libqt5svg5,
-Suggests:
- copyq-doc,
+Depends: ${misc:Depends}, ${shlibs:Depends},
+         copyq-plugins (= ${binary:Version}), libqt6svg6
+Suggests: copyq-doc
 Description: Advanced clipboard manager with editing and scripting features
  CopyQ monitors system clipboard and saves its content in customized tabs.
  Saved clipboard can be later copied and pasted directly into any application.
@@ -69,11 +60,8 @@
 
 Package: copyq-doc
 Architecture: all
-Depends:
- ${misc:Depends},
- ${sphinxdoc:Depends},
-Built-Using:
- ${sphinxdoc:Built-Using},
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
 Section: doc
 Multi-Arch: foreign
 Description: Documentation and examples for CopyQ - HTML format
@@ -84,10 +72,7 @@
 
 Package: copyq-plugins
 Architecture: any
-Depends:
- copyq (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
+Depends: copyq (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Plugins for CopyQ
  CopyQ monitors system clipboard and saves its content in customized tabs.
  Saved clipboard can be later copied and pasted directly into any application.

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 override_dh_auto_configure-arch:
 	dh_auto_configure -- \
 		-DCMAKE_BUILD_TYPE=Release \
-		-DWITH_QT6=OFF
+		-DWITH_QT6=ON
 
 override_dh_auto_clean-indep:
 	dh_auto_clean
@@ -39,5 +39,5 @@
 
 # No dbgsym packages:
 override_dh_strip:
-	@echo "not building dbgsym packages for MX Linux"
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
 	dh_strip --no-automatic-dbgsym
